module Kuzira
  class UnknownAttributeError < NoMethodError
    attr_reader :object, :attribute

    def initialize(object, attribute)
      @object = object
      @attribute = attribute
      super("unknown attribute '#{attribute}' for #{@object.class}.")
    end
  end
end
